Toll Free: 866-282-5360
From Outside the US: +1-571-814-3679
Monday - Friday 9:00 a.m. - 6:00 p.m. EST

Support Center

What versions of After Effects are your templates compatible with?

Last Updated: Jul 26, 2016 02:15AM EDT
Most templates are compatible with Adobe Creative Suite 3 (CS3) or higher; however, some templates require a higher version. Some templates may also be exclusive to Adobe Creative Cloud (CC+). We recommend checking the preview page for the template to determine whether it can be edited using your  version of After Effects. You can find this information under More Details.

Contact Us

2e976c9a376f50792a98d52cac4a3b6c@videoblocks.desk-mail.com
http://assets3.desk.com/
false
desk
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete